Bug 577051 - (jon24-ews) Validate support for latest versions of EWS
Validate support for latest versions of EWS
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: John Sanda
Corey Welton
:
Depends On: 580931 584008 588507 588509 589362 604444
Blocks: jon24-features
  Show dependency treegraph
 
Reported: 2010-03-25 19:13 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:50:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-03-25 19:13:01 EDT
We need to make sure that JON 2.4 works the latest supported versions of EWS:
http://www.redhat.com/docs/en-US/JBoss_Enterprise_Web_Server/

Check we can monitor/manage EWS as expected across all of its supported platforms using the necessary plugin pack.
Comment 1 John Sanda 2010-05-03 14:17:53 EDT
I tested the following on Windows 2003 Server, Mac OS X, and Fedora 12,

* discovery of server and services
* metric collection
* application deployment
* executing resource operations (starting/stopping server)

Everything works as expected except the start operation for the tomcat server on Windows. I believe this may be related to bug 580931 in that EWS 1.0.1 on Windows uses tomcat6.exe to start tomcat instead of the more commonly used startup.bat. For bug 580931 the tomcat plugin discovery component was updated to look for the tomcat6.exe process, but it could very well be that the usage of tomcat6.exe breaks the start operation.

I am marking this bug verified and opening a separate bug to track the problem with the start operation.
Comment 2 John Sanda 2010-05-03 15:50:26 EDT
Upon further investigation I realized that the start operation for the tomcat server on windows is in fact starting tomcat, but the rhq agent is unable to establish a connection to tomcat and verify that the server has started; thus, the outcome of the operation is reported as a failure.

The tomcat plugin uses startup.bat to start the tomcat server. Since EWS on Windows uses tomcat6.exe I configured it (via tomcat6w.exe) to set the jmx system properties needed for the agent to connect to the tomcat server. When starting via startup.bat the jmx system properties were not getting set. startup.bat delegates to catalina.bat so I set the properties there. The system properties that I set are as follows,

-Dcom.sun.management.jmxremote.port=9876
-Dcom.sun.management.jmxremote.ssl=false
-Dcom.sun.management.jmxremote.authenticate=false
Comment 3 Corey Welton 2010-08-12 12:50:28 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.